<?xml version="1.0" encoding="UTF-8" ?>
<Configuration monitorInterval="30">
	<Appenders>
		<Console name="STDOUT" target="SYSTEM_OUT">
			<PatternLayout pattern="%-6r %d{ISO8601} [%10.10t] %-5p %40.40c %x - %m%n"/>
		</Console>
		<RollingFile name="ROLLING" fileName="socketAdapter.rolling.log" filePattern="socketAdapter.rolling-%i.log">
			<PatternLayout pattern="%-6r %d{ISO8601} [%15.15t] %-5p %30.30c %x - %m%n" />
			<Policies>
				<SizeBasedTriggeringPolicy size="100KB" />
			</Policies>
			<DefaultRolloverStrategy max="2"/>
		</RollingFile>	
	</Appenders>
	<Loggers>

		<Logger name="gov.va.med.cds.socket" level="ERROR" />
	
		<Logger name="gov.va.med.cds.socket.server.MinaServerManager" level="INFO" additivity="false">
			<AppenderRef ref="STDOUT" />
			<AppenderRef ref="ROLLING" />
		</Logger>
	
		<Root level="ERROR">
			<AppenderRef ref="STDOUT" />
			<AppenderRef ref="ROLLING" />
		</Root>
	</Loggers>

</Configuration>

